const fonts = {
  12: 12,
  14: 14,
  16: 16,
  18: 18,
  20: 20,
  24: 24,
  28: 28,
  32: 32,
  40: 40,
};

export const SelectFontSize = ({ listObj = fonts, onChange, value }) => {
  return (
    <select value={value} onChange={(e) => onChange(e.target.value)}>
      {Object.entries(listObj).map(([value, text]) => (
        <option value={value} key={value}>
          {text}
        </option>
      ))}
    </select>
  );
};
